/**
 * Created by kevinries on 03.07.16.
 */

var initMixin = require('./internal/init');
var stateMixin = require('./internal/state');
var eventMixin = require('./internal/events');
var componentMixin = require('./internal/component');

/**
 * The exposed F3 constructor.
 *
 * API conventions:
 * - public API methods/properties are prefixed with `$`
 * - internal methods/properties are prefixed with `_`
 * - non-prefixed properties are assumed to be proxied user
 *   data.
 *
 * @constructor
 * @param {Object} [options]
 * @public
 */


function F3(options) {
    this._init(options);
}

//werden schon bei laden der datei ausgeführt

initMixin(F3);
stateMixin(F3);
eventMixin(F3);
componentMixin(F3);

module.exports = F3;